<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.0" xmlns="http://java.sun.com/xml/ns/javaee"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/javaee 
     http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd">

	<display-name>RestEasy Example</display-name>

	<security-constraint>
		<web-resource-collection>
			<web-resource-name>HtmlAuth</web-resource-name>
			<description>application security constraints</description>
			<url-pattern>/auth/*</url-pattern>
			<!-- <http-method>GET</http-method> -->
			<!-- <http-method>POST</http-method> -->
		</web-resource-collection>
		<auth-constraint>
			<role-name>friend</role-name>
		</auth-constraint>
	</security-constraint>
	<login-config>
		<auth-method>BASIC</auth-method>
		<realm-name>UserRoles simple realm</realm-name>
	</login-config>
	<security-role>
		<role-name>friend</role-name>
	</security-role>
</web-app>